LEFSE_RUN.PY(1)

NAME
lefse_run.py - determine features of organisms, clades, taxonomic units, genes

DESCRIPTION
usage: lefse_run.py [-h] [-o str] [-a float] [-w float] [-l float]

[--nlogs int] [--verbose int] [--wilc int] [-r str]
    [--svm_norm int] [-b int] [-e int] [-c int] [-f float] [-s {0,1,2}] [--min_c int] [-t str] [-y {0,1}] INPUT_FILE OUTPUT_FILE

LEfSe 1.1.01

  positional arguments:

INPUT_FILE
    the input file

OUTPUT_FILE
    the output file containing the data for the visualization module

  optional arguments:

-h, --help
    show this help message and exit

-o str
    set the file for exporting the result (only concise textual form)

-a float
    set the alpha value for the Anova test (default 0.05)

-w float
    set the alpha value for the Wilcoxon test (default 0.05)

-l float
    set the threshold on the absolute value of the logarithmic LDA score (default 2.0)

--nlogs int
    max log ingluence of LDA coeff

--verbose int
    verbose execution (default 0)

--wilc int
    whether to perform the Wicoxon step (default 1)

-r str
    select LDA or SVM for effect size (default LDA)

--svm_norm int
    whether to normalize the data in [0,1] for SVM feature waiting (default 1 strongly suggested)

-b int
    set the number of bootstrap iteration for LDA (default 30)

-e int
    set whether perform the wilcoxon test only among the subclasses with the same name (default 0)

-c int
    set whether perform the wilcoxon test ing the Curtis's approach [BETA VERSION] (default 0)

-f float
    set the subsampling fraction value for each bootstrap iteration (default 0.66666)

-s {0,1,2}
    set the multiple testing correction options. 0 no correction (more strict, default), 1 correction for independent comparisons, 2 correction for dependent comparison

--min_c int
    minimum number of samples per subclass for performing wilcoxon test (default 10)

-t str
    set the title of the analysis (default input file without extension)

-y {0,1}
    (for multiclass tasks) set whether the test is performed in a one-against-one ( 1 - more strict!) or in a one-againstall setting ( 0 - less strict) (default 0)

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.